<?php
get_header();

if ( have_posts() ) :

	while ( have_posts() ) : the_post();
?>

    <article <?php post_class( 'event_scout-single-post' ); ?>>
        <h2 class="event_scout-event-title"><?php the_title(); ?></h2>
        <div class="event-scout-terms-wrap">
            <div class="event-scout-category">
                <span><?php _e( 'Category: '); ?></span>
                <?php
                $categories = get_the_term_list( get_the_ID(), 'event_scout_category', '', ', ' );
                echo $categories;
                ?>
            </div>
            <div class="event-scout-tag">
                <span><?php _e( 'Tag: '); ?></span>
	            <?php
	            $tag = get_the_term_list( get_the_ID(), 'event_scout_tag', '', ', ' );
	            echo $tag;
	            ?>
            </div>
        </div>
        <div class="event_scout-content">
            <?php
                if ( has_post_thumbnail() ) {
                    echo get_the_post_thumbnail();
                }
            ?>
            <?php the_content(); ?>
        </div>
        
        <div class="event_scout-meta">
            <?php
            $location = get_post_meta( get_the_ID(), 'event_location', true );
            if ( $location ) {
            ?>
                <div class="event_scout-location-wrap">
                    <div class="event_scout-location">
	                    <?php
                        echo "<p>";
	                    echo "<strong>" . __( 'Location: ', 'event-scout' ) . "</strong>";
	                    echo "<span>" . $location . "</span>";
	                    echo "</p>";
	                    ?>
                    </div>
                </div>
            <?php } ?>

            <?php
            $date = get_post_meta( get_the_ID(), 'event_date', true );
            if ( $date ) {
            ?>
                <div class="event_scout-date-wrap">
                    <div class="event_scout-location">
	                    <?php
	                    echo "<p>";
	                    echo "<strong>" . __( 'Date: ', 'event-scout' ) . "</strong>";
	                    echo "<span>" . date( 'm/d/Y', $date ) . "</span>";
	                    echo "</p>";
	                    ?>
                    </div>
                </div>
            <?php } ?>

        </div>
    </article>

<?php
    endwhile;

else :

	get_template_part( 'no-results', 'index' );

endif;

get_footer();